<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: byte_stack/byte_stack.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d497dcaae93ca88b62dcb5fe9a3c073.html">byte_stack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">byte_stack.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for byte_stack.h:</div>
<div class="dyncontent">
<div class="center"><img src="byte__stack_8h__incl.png" border="0" usemap="#byte__stack_2byte__stack_8h" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="byte__stack_8h__dep__incl.png" border="0" usemap="#byte__stack_2byte__stack_8hdep" alt=""/></div>
<map name="byte__stack_2byte__stack_8hdep" id="byte__stack_2byte__stack_8hdep">
<area shape="rect" id="node2" href="byte__stack_8c.html" title="byte_stack/byte_stack.c" alt="" coords="5,80,171,107"/>
<area shape="rect" id="node3" href="byte__stack_2test__main_8c.html" title="byte_stack/test_main.c" alt="" coords="195,80,354,107"/>
</map>
</div>
</div>
<p><a href="byte__stack_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structbyte__stack.html">byte_stack</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a94abcd556babeb1c82cb26f283376928"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structbyte__stack.html">byte_stack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a></td></tr>
<tr class="separator:a94abcd556babeb1c82cb26f283376928"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6df5faac0c76d866ca9084975524c388"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="byte__stack_8h.html#a6df5faac0c76d866ca9084975524c388">byte_stack_init</a> (<a class="el" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a> *const bs, uint8_t *memory, size_t size)</td></tr>
<tr class="separator:a6df5faac0c76d866ca9084975524c388"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa65b6d07332895e7f4006ea6fd9f78c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="byte__stack_8h.html#aaa65b6d07332895e7f4006ea6fd9f78c">byte_stack_push</a> (<a class="el" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a> *const bs, void *const data, size_t size)</td></tr>
<tr class="separator:aaa65b6d07332895e7f4006ea6fd9f78c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a94abcd556babeb1c82cb26f283376928"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94abcd556babeb1c82cb26f283376928">&#9670;&nbsp;</a></span>byte_stack_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structbyte__stack.html">byte_stack</a>  <a class="el" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6df5faac0c76d866ca9084975524c388"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6df5faac0c76d866ca9084975524c388">&#9670;&nbsp;</a></span>byte_stack_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void byte_stack_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a> *const&#160;</td>
          <td class="paramname"><em>bs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>memory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa65b6d07332895e7f4006ea6fd9f78c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa65b6d07332895e7f4006ea6fd9f78c">&#9670;&nbsp;</a></span>byte_stack_push()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int byte_stack_push </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="byte__stack_8h.html#a94abcd556babeb1c82cb26f283376928">byte_stack_t</a> *const&#160;</td>
          <td class="paramname"><em>bs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *const&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
